<?php

use Axepta\Payment\Util;

/**
 * Class ModelExtensionPaymentAxepta
 */
class ModelExtensionPaymentAxepta extends Model
{

	const CODE = 'axepta';
	/**
	 * @param $address
	 * @param $total
	 *
	 * @return array
	 */
	public function getMethod($address, $total)
	{

		$this->load->model('setting/setting');

		include_once(DIR_SYSTEM . 'library/payment-core/vendor/autoload.php');

		$this->language->load('extension/payment/axepta');
		$order_currency = $this->session->data['currency'];

		if(Util::canUseForCurrency(strtoupper($order_currency), ($this->config->get('payment_axepta_currencies')
				?: []))
			&& $this->config->get('payment_axepta_service_key')
			&& $this->config->get('payment_axepta_service_id')
			&& $this->config->get('payment_axepta_merchant_id')) {

			$paymentTitle = $this->config->get('axepta_payment_title')
				?: $this->language->get('text_axepta_payment_title_default');

			return [
				'code'       => self::CODE,
				'title'      => $this->config->get('axepta_sandbox') == 1
					? $paymentTitle . ' ' . $this->language->get('title_sandbox_enabled')
					: $paymentTitle,
				'terms'      => '',
				'sort_order' => $this->config->get('axepta_sort_order'),
			];
		}

		return [];
	}
}
